Subject: [os2genau_digest] No. 1007
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 19 Dec 2004 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 18 December 2004
 Number  1007
**************************************************

Subjects for today
 
1  Re:  eCS and Linux : Kev <kdownes at tpg dot com dot au>
2  Re:  Boot Manager : Mike O'Connor <mikeoc at dodo dot com dot au>
3  Re:  eCS and Linux : Kev <kdownes at tpg dot com dot au>
4  Re:  Boot Manager : Kev <kdownes at tpg dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 18 Dec 2004 11:18:24 +0800
From:  Kev <kdownes at tpg dot com dot au>
Subject:  Re:  eCS and Linux

Bruce Rossi wrote:

> and let a C: partition see the "other" C: as well, if 
> set up with a different drive letter.

BM can do that too.  It depends on having different drive letters tho.

> The main point I was making was that you can physically remove all HDs 
> except one to install wintendo onto, then return the other HDs and SBM will 
> allow you to boot to a 2nd or greater HD as if it was C: on the 1st HD, which 
> wintendo requires. It can also find and boot from a CDROM.

Now that is clever!  Pity M$ never worked how to boot there crap from a 
different partition.

> No. LVM is intrinsic to eCS, so the other OS's do not know of it's C:
> 
>>they look for the 1st primary partition or do they look for C:?  One for 
>>another day!

Oh well, I'll use that other day for something else then.

Cheers
Kev
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 18 Dec 2004 14:01:53 +1000
From:  Mike O'Connor <mikeoc at dodo dot com dot au>
Subject:  Re:  Boot Manager

Alan Duval wrote:

>Hi everyone,
>
>Thanks to all who replied to my eMail.  I think i'll use IBM BM as i'm familiar with it. I'm waiting for Fedora CD's which i've ordered. I've tried a number of bootable Linux distro's but the only ones that work on my system are Mandrake Move and Knoppix. I like Mandrake but for an install thought i'd go for Fedora as the Red Hat people are putting a lot of effort into making Linux user friendly. 
>
>Regards,
>  
>

Hi Alan,

Be VERY careful with Fedora! Have a read of the comments by Jan van Wijk 
[DFSee author] re how the 2.6 kernel doesn't play nicely with other 
platforms, ignores current drive geometry! [that's on the DFSee Yahoo 
group - <dfsee-support at yahoogroups dot com>]
For more info on DFSee visit: http://www.dfsee dot com

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
[ISP blocks *.exe, *.cmd, * dot com, *.bat, *.reg attachments]
[Please use zipped versions of above]

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 18 Dec 2004 15:58:45 +0800
From:  Kev <kdownes at tpg dot com dot au>
Subject:  Re:  eCS and Linux

Just a little related gem I found quite by accident whilst looking for 
something else.  This is a quote from the database that comes with 
ConfigTool v1.3, under the JFS.IFS listing ...

<<=NOTE=>> JFS is also available for Linux. To create an OS/2 compatible 
partition use the -O paramter.  Format 3rd partition on 2nd hard disk 
with the volume label "JFS_hdb3" and OS/2 compatibilty:
     mkfs.jfs -L  -O JFS_hdb3 /dev/hdb3

Makes me wonder now why I lost my JFS partition to Linux.  I can't 
remember what the exact circumstances were, but it may have been related 
to the "-O" parameter above.  I think the warning about 
incompatibilities came from a PLUG source - after I lost my partition.

Cheers
Kev

Kev wrote:
> 
> 
> Bruce Rossi wrote:
> 
>> and let a C: partition see the "other" C: as well, if set up with a 
>> different drive letter.
> 
> 
> BM can do that too.  It depends on having different drive letters tho.
> 
>> The main point I was making was that you can physically remove all HDs 
>> except one to install wintendo onto, then return the other HDs and SBM 
>> will allow you to boot to a 2nd or greater HD as if it was C: on the 
>> 1st HD, which wintendo requires. It can also find and boot from a CDROM.
> 
> 
> Now that is clever!  Pity M$ never worked how to boot there crap from a 
> different partition.
> 
>> No. LVM is intrinsic to eCS, so the other OS's do not know of it's C:
>>
>>> they look for the 1st primary partition or do they look for C:?  One 
>>> for another day!
> 
> 
> Oh well, I'll use that other day for something else then.
> 
> Cheers
> Kev
 
> 
> 

> 
> 
> 
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 18 Dec 2004 16:18:14 +0800
From:  Kev <kdownes at tpg dot com dot au>
Subject:  Re:  Boot Manager

Hi Alan

Mike O'Connor wrote:

> Be VERY careful with Fedora! Have a read of the comments by Jan van Wijk 
> [DFSee author] re how the 2.6 kernel doesn't play nicely with other 
> platforms, ignores current drive geometry! [that's on the DFSee Yahoo 
> group - <dfsee-support at yahoogroups dot com>]
> For more info on DFSee visit: http://www.dfsee dot com

Mandrake also defaults to 2.6.x kernel and I think all Debians after 
Woody do also.  In fact most of the current releases of the more popular 
ones default to 2.6.x.

What Mike has said above,"... doesn't play nicely with other platforms, 
ignores current drive geometry!" is akin what I said about Linux not 
even using the BIOS settings for HDD geometry, but doing its own thing 
on boot up.

While it does do this, I've had no grief from it, as long as I've 
ensured (plenty of cross-checking) that I AM installing Linux into the 
partitions I've meant to.  If I don't install the appropriate Linux FS 
driver in OS/2 then the Linux drives simply remain invisible to OS/2 and 
cause no grief of any kind.  I might add that I regularly (make that 
VERY regularly - like about once a week on average) install different 
Linux releases just to keep abreast of how useable it is becoming as a 
desktop OS for a completely non-technical non-nerd non-geek like me. 
Novell (used to be SuSE) have come closest so far as far as I'm 
concerned, and after that (but well after that) I'd go for Mandrake. 
Novell have tried to make the look, feel and function as much like 
Windoze as possible, whereas all the others are still VERY much *nix. 
As an OS/2 user you have to count yourself as a Windoze user when making 
the switch.  Novel have even aliased all the drives to drive letters by 
default.

Cheers, have fun
Kev
----------------------------------------------------------------------------------